About the Engine 1.5 category

Discussion area for Denon DJ’s first music management and analysis software (powering the SC3900 and 2900 units) and the 2016 update, Engine 1.5, to include the MCX8000

Can you use an iMac with Intel Core 2 Duo processors with the software? 3.06 GHz with 8GB of RAM on a 27" iMac.

Serato just confirmed they have issues with these procesors.

Thanks.

forget your hardware. better ask for a software that will work generally. engine 1.5 is not worth the installation. tryed different HW and different OS (also mac / win32/64) and engine NEVER runs without crashing or freezing.

hipp hipp horray on eninge prime! … but i think denon dont give a f… on the poor engine 1.5 users and their older equipment. why dont we get ANY official words about an update?

sorry to say, just my 2 cents :frowning:

1 Like